be.fgov.ehealth.samcivics.type.v2

## Class MinimumAgeAuthorizedType

- java.lang.Object
- - be.fgov.ehealth.samcivics.type.v2.MinimumAgeAuthorizedType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:27:40+02:00",
                 comments="JAXB RI v2.2.11")
      public class MinimumAgeAuthorizedType
      extends Object
      implements Serializable

  Java class for MinimumAgeAuthorizedType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="MinimumAgeAuthorizedType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>float">
             <attribute name="unit" use="required" type="{urn:be:fgov:ehealth:samcivics:type:v2}ValidityPeriodUnit" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinimumAgeAuthorizedType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidityPeriodUnit` | `getUnit()` Gets the value of the unit property.
    `float` | `getValue()` Gets the value of the value property.
    `void` | `setUnit(ValidityPeriodUnit value)` Sets the value of the unit property.
    `void` | `setValue(float value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MinimumAgeAuthorizedType

          public MinimumAgeAuthorizedType()

  - ### Method Detail

    - #### getValue

          public float getValue()

      Gets the value of the value property.

    - #### setValue

          public void setValue(float value)

      Sets the value of the value property.

    - #### getUnit

          public ValidityPeriodUnit getUnit()

      Gets the value of the unit property.
      Returns:
        possible object is `ValidityPeriodUnit`

    - #### setUnit

          public void setUnit(ValidityPeriodUnit value)

      Sets the value of the unit property.
      Parameters:
        `value` - allowed object is `ValidityPeriodUnit`

Connector Packaging generic 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.